Bug 1262434 - Two finger scrolling became three finger scrolling
Two finger scrolling became three finger scrolling
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Benjamin Tissoires
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 12:13 EDT by Randy Barlow
Modified: 2016-01-20 23:36 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 23:36:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 92091 None None None Never

  None (edit)
Description Randy Barlow 2015-09-11 12:13:19 EDT
Description of problem:
I noticed that in the past few days, two finger scrolling seems to have stopped functioning. I do have it enabled in the KDE touchpad settings.

Version-Release number of selected component (if applicable):
% rpm -q libinput
libinput-1.0.1-2.fc24.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. I'm not confident whether this would affect KDE only, or all libinput environments (I only have KDE), but step 1 for me is to enable two finger scrolling in the KDE settings.
2. Try to scroll with two fingers on a touchpad.

Actual results:
Nothing happens.

Expected results:
The window should scroll.

Additional info:
I'm using KDE 5.4.1 on a Lenovo X1 Carbon Gen. 3 laptop.
Comment 1 Randy Barlow 2015-09-24 01:41:14 EDT
I discovered that this bug has been reported upstream, and that what really happened is that two finger scrolling has become three finger scrolling.

https://bugs.freedesktop.org/show_bug.cgi?id=92091
Comment 2 Benjamin Tissoires 2015-09-29 04:38:49 EDT
OK, there is definitively a kernel bug here. See:
http://www.spinics.net/lists/linux-input/msg41176.html

Josh, can you revert this patch (Input: synaptics - fix handling of disabling gesture mode) from 4.2 and all the branches that F20-23 might be having (or whichever Fedora versions are still receiving some care)?

The fix is worth than the previous bug which was not triggered by most users.
Comment 3 Josh Boyer 2015-09-29 08:28:01 EDT
Thus far the commit you highlighted (e51e38494a8ecc18650efb0c840600637891de2c) is only on the rawhide branch.  It's queued for 4.1.9 and 4.2.2, so I pinged Greg to see if it can be dropped.  Hopefully it won't get backported to those stable branches.

I'll get it reverted in Rawhide today.
Comment 4 Josh Boyer 2015-09-29 08:34:45 EDT
OK, reverted in rawhide.  The build today should contain that change.
Comment 5 Peter Hutterer 2015-10-13 02:11:45 EDT
Randy, can you confirm this works?
Comment 6 Randy Barlow 2015-10-13 05:11:04 EDT
Hi Peter, it does work! Thanks to Benjamin and Josh for the fix. The funny thing is that I had gotten so used to three finger scrolling that it's taken me a few days to get used to this fix ☺ Rawhide++
Comment 7 Randy Barlow 2016-01-20 23:36:01 EST
Perhaps I should have marked this closed instead of verified. Thanks again for getting this fixed!

Note You need to log in before you can comment on or make changes to this bug.